Google Web Toolkit
Search Google Code:

# Class PopupListenerCollection

public class PopupListenerCollection
extends ArrayList
A helper class for implementers of the SourcesPopupEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type PopupListener.

## Methods

firePopupClosed(PopupPanel, boolean) | Fires a popup closed event to all listeners.

## Method Detail

### firePopupClosed

public void firePopupClosed(PopupPanel sender, boolean autoClosed)
Fires a popup closed event to all listeners.

#### Parameters

sender
  the widget sending the event.
autoClosed
  `true` if the popup was automatically closed; `false` if it was closed programmatically.